# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85.0"
name = "nmea-kit"
version = "0.5.6"
authors = ["Antoine MOUTIERS"]
build = false
exclude = ["/tests/"]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Bidirectional NMEA 0183 parser and encoder with AIS decoding"
homepage = "https://github.com/amoutiers/nmea-kit"
documentation = "https://docs.rs/nmea-kit"
readme = "README.md"
keywords = [
    "nmea",
    "ais",
    "gps",
    "marine",
    "navigation",
]
categories = [
    "parser-implementations",
    "encoding",
    "science::geo",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/amoutiers/nmea-kit"

[features]
ais = []
apb = []
bwc = []
dbk = []
dbs = []
dbt = []
default = [
    "nmea",
    "ais",
]
depth = [
    "dbt",
    "dbs",
    "dbk",
    "dpt",
]
dpt = []
dtm = []
gbs = []
gga = []
gll = []
gns = []
gsa = []
gst = []
gsv = []
hdg = []
hdm = []
hdt = []
heading = [
    "hdg",
    "hdm",
    "hdt",
    "ths",
]
mda = []
mtw = []
mwd = []
mwv = []
nmea = [
    "positioning",
    "speed",
    "heading",
    "wind",
    "depth",
    "apb",
    "bwc",
    "dtm",
    "gbs",
    "gsa",
    "gsv",
    "gst",
    "mda",
    "mtw",
    "pashr",
    "pgrme",
    "pskpdpt",
    "rmb",
    "rot",
    "rpm",
    "rsa",
    "txt",
    "vdr",
    "vlw",
    "vwr",
    "xdr",
    "xte",
    "zda",
]
pashr = []
pgrme = []
positioning = [
    "gga",
    "gll",
    "rmc",
    "gns",
]
pskpdpt = []
rmb = []
rmc = []
rot = []
rpm = []
rsa = []
speed = [
    "vtg",
    "vhw",
    "vbw",
    "rmc",
    "rpm",
    "vdr",
]
ths = []
txt = []
vbw = []
vdr = []
vhw = []
vlw = []
vtg = []
vwr = []
wind = [
    "mwd",
    "mwv",
]
xdr = []
xte = []
zda = []

[lib]
name = "nmea_kit"
path = "src/lib.rs"

[dependencies]

[lints.clippy]
cognitive_complexity = "warn"
unwrap_used = "warn"
